package core.operation;


import java.util.Map;

public interface Executable {
    default void execute(Map<String, Object> options) throws Exception {
        checkSelf();
        beforeRun(options);
        run(options);
        afterRun(options);
    }

    void checkSelf ()throws Exception;

    void beforeRun(Map<String, Object> options);

    void run(Map<String, Object> options);

    void afterRun(Map<String, Object> options);
}
