package core.process;

import core.operation.Operation;
import core.user.User;

import java.util.Map;


public class AtomProcess extends Process {
    private User subject;
    private Operation operation;
    private Map<String, Object> option;

    public AtomProcess(String subjectName, String operationName, Map<String, Object> option, String info) throws Exception {
        super(info);
        this.subject = (User) core.utils.GetObjectByName.getUserByName(subjectName);
        this.operation = (Operation) core.utils.GetObjectByName.getOperationByName(operationName);
        this.option = option;
        this.operation.setSubject(this.subject);
    }

    public void execute() throws Exception {
        this.operation.execute(this.option);
    }
}
